[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: F7 Zope package



On Fri, 2007-05-04 at 20:06 +0200, Thorsten Leemhuis wrote:
> Richard Hughes schrieb:
> > On Fri, 2007-05-04 at 19:48 +0200, Thorsten Leemhuis wrote:
> >> Shipping Zope in Fedora 5 and Fedora 6 and excluding it in Fedora 7
> >> just looks so bad to out the outside and created problems for out
> >> users. I'd really would like to avoid that.
> > If a vendor kept patching a driver for kernel 2.4 but refused to port it
> > to kernel 2.6, would we ship a 2.4 kernel just for that one driver?
> > Technically possible but a really bad plan.
> 
> Sure, we have to draw the line somewhere. But why do we have these, too:
[snip]
> So why not a compat-python24 for a limited timeframe, too -- say one or
> two releases?

The difference is that one is libraries linked into an application.  The
other is a framework with sets of modules, etc.

As the python maintainer, I am *STRONGLY* opposed to a compat-python24
package.  Because at the end of the day, bug reports will get filed
against the wrong python package (because end-users aren't going to know
or case).  Security problems are still going to end up having to be
dealt with and likely through me because the CVE will originally get
filed against python and no one will think about compat-python.  And the
_main_ package owner is still going to have to be somewhat responsible.

I'd actually like to see formally in the guidelines that the
introduction of a compat package needs to have the assent of the primary
package owner.

Jeremy




[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]